Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.jackson.databind.type
Class TypeParser

    java.lang.Object
      com.fasterxml.jackson.databind.type.TypeParser

    public class TypeParser

extends Object

Simple recursive-descent parser for parsing canonical `JavaType` representations and constructing type instances.

Author:
  tatu

Constructor Summary
`TypeParser(TypeFactory f)`

Method Summary
`protected IllegalArgumentException` | `_problem(com.fasterxml.jackson.databind.type.TypeParser.MyTokenizer tokens, String msg)`
`protected Class<?>` | `findClass(String className, com.fasterxml.jackson.databind.type.TypeParser.MyTokenizer tokens)`
`JavaType` | `parse(String canonical)`
`protected JavaType` | `parseType(com.fasterxml.jackson.databind.type.TypeParser.MyTokenizer tokens)`
`protected List<JavaType>` | `parseTypes(com.fasterxml.jackson.databind.type.TypeParser.MyTokenizer tokens)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeParser

    public TypeParser(TypeFactory f)

Method Detail

### parse

    public JavaType parse(String canonical)
                   throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### parseType

    protected JavaType parseType(com.fasterxml.jackson.databind.type.TypeParser.MyTokenizer tokens)
                          throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### parseTypes

    protected List<JavaType> parseTypes(com.fasterxml.jackson.databind.type.TypeParser.MyTokenizer tokens)
                                 throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### findClass

    protected Class<?> findClass(String className,
                                 com.fasterxml.jackson.databind.type.TypeParser.MyTokenizer tokens)

### _problem

    protected IllegalArgumentException _problem(com.fasterxml.jackson.databind.type.TypeParser.MyTokenizer tokens,
                                                String msg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 fasterxml.com. All Rights Reserved.